summaryrefslogtreecommitdiffstats
path: root/ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/script.sh')
-rw-r--r--ci/script.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/script.sh b/ci/script.sh
new file mode 100644
index 0000000..fbb981a
--- /dev/null
+++ b/ci/script.sh
@@ -0,0 +1,17 @@
+# This script takes care of testing your crate
+
+set -ex
+
+main() {
+ cross build --target $TARGET
+ cross build --target $TARGET --release
+
+ if [ ! -z $DISABLE_TESTS ]; then
+ return
+ fi
+}
+
+# we don't run the "test phase" when doing deploys
+if [ -z $TRAVIS_TAG ]; then
+ main
+fi